Bug 1784166 - No etcd alert fires when high number of leader changes occur
Summary: No etcd alert fires when high number of leader changes occur
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1784144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-16 21:38 UTC by Clayton Coleman
Modified: 2020-01-23 11:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1784144
Environment:
Last Closed: 2020-01-23 11:19:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 595 None closed Bug 1784166: Alert on high number of etcd leader changes in a short time window 2020-04-22 14:19:40 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:19:54 UTC

Description Clayton Coleman 2019-12-16 21:38:05 UTC
+++ This bug was initially created as a clone of Bug #1784144 +++

During investigation of a bug we realized etcdHighNumberOfLeaderChanges was not firing in the fleet due to a copy-paste error when the query was refactored upstream.  It was firing if rate was above 3/s, when it should be 3/15m.

The alert should be fixed and backported since leader changes are symptomatic of insufficient resources or other disruption.

Comment 4 errata-xmlrpc 2020-01-23 11:19:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.